package com.liquidnet.service.adam.constant;
/**
 * @author Li Chen
 * @date 2020-11-04 14:02
 */
public class AdamRedisConst {
    public static final String ADAM = "adam:";

    public static final String IDENTITY = ADAM.concat("identity:");
    public static final String IDENTITY_MOBILE = IDENTITY.concat("mobile:");
    public static final String IDENTITY_THIRD_PARTY = IDENTITY.concat("third_party:");

    public static final String INFO = ADAM.concat("info:");
    public static final String INFO_USER = INFO.concat("user:");
    public static final String INFO_REAL_NAME = INFO.concat("real_name:");
    public static final String INFO_THIRD_PARTY = INFO.concat("third_party:");
    public static final String INFO_USER_MEMBER = INFO.concat("user_member:");
    public static final String INFO_ENTERS = INFO.concat("enters:");
    public static final String INFO_ADDRESSES = INFO.concat("addresses:");

    public static final String INFO_MEMBER_SIMPLE = INFO.concat("member_simple");

    public static final String INFO_MEMBERS = ADAM.concat(":list:members");
    public static final String INFO_MEMBERS_INFO = ADAM.concat(":list:members:info:");
    public static final String INFO_MEMBERS_PRICE_INFO = ADAM.concat(":list:members:price:info:");
    public static final String INFO_MEMBERS_CODE_INFO = ADAM.concat(":list:members:code:info:");
    public static final String MEMBER_MEMBER_NO_MAX_KEY = ADAM.concat(":members:member_no_max:");
    public static final String INFO_MEMBERS_REPERTORY_INFO = ADAM.concat(":list:members:repertory:");
    public static final String INFO_MEMBERS_ORDER_INFO = ADAM.concat(":list:members:order:");
}
